<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Confirmation de suppression</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss(false)"></button>
  </div>
  <div class="modal-body">
    <p>Confimez-vous la suppression de la commande ?</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark"
      (click)="modal.close(true)">Confirmer</button>
    <button type="button" class="btn btn-outline-dark"
      (click)="modal.close(false)">Abandonner</button>
  </div>
</ng-template>


<app-template-page [titre]="'Liste des commandes'" [visible]="false">

  <div class="row justify-content-end m-3" >Total commandes : {{total}}</div>

  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">

        <li class="nav-item">
          <a class=" btn btn-primary ms-4" (click)="getOrders()">Toutes les commandes</a>
        </li>

        <li class="nav-item">
          <a class="btn btn-primary ms-3" (click)="paidOrders()">Commandes Payées</a>
        </li>
      </ul>

    </div>
  </nav>

<div class="container mt-3" *ngIf="orders$">

<table class="table table-striped table-bordered table-hover">
  <caption>Tableau liste des commandes</caption>
  <thead>
    <tr>
      <th>#</th>
      <th>Client</th>
      <th>Libellé</th>
      <th>Taux journalier</th>
      <th>Nombre de jour</th>
      <th>TVA</th>
      <th>Status</th>
      <th>Type</th>
      <th>Notes</th>
      <th>Consulter</th>
      <th *ngIf="isAdmin">Editer</th>
      <th *ngIf="isAdmin">Supprimer</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let order of orders$ | async | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize; let i =index ; ">
      <td> {{order.id}} </td>
      <td> {{order.customerDto.lastname}} {{order.customerDto.firstname}} </td>
      <td> {{order.label}} </td>
      <td> {{order.adrEt}} </td>
      <td> {{order.numberOfDays}} </td>
      <td> {{order.tva}} </td>
      <td> {{order.status}} </td>
      <td> {{order.type}} </td>
      <td> {{order.notes}} </td>
      <td>
        <a class="book" [routerLink]="'../description/'+order.id">
        <app-icon-book></app-icon-book>
        </a>
      </td>
      <td *ngIf="isAdmin">
        <a class="crayon"[routerLink]="['../edit', order.id]">
          <app-icon-edit></app-icon-edit>
        </a>
      </td>
      <td *ngIf="isAdmin">
        <a class="trash" href="javascript:void(0)"
          (click)="confirmDeletion(content, order.id)">
          <app-icon-delete></app-icon-delete>
        </a>
      </td>
    </tr>
  </tbody>
</table>
<div class="row justify-content-end">
  <ngb-pagination [collectionSize]="total" [(page)]="page" [maxSize]="5" [rotate]="true" [ellipses]="false" [boundaryLinks]="true"></ngb-pagination>
  </div>
  <a [routerLink]="'../add'" class="btn btn-primary" *ngIf="isAdmin">
    <app-icon-add></app-icon-add> Ajouter
  </a>
  </div>
</app-template-page>
